/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package blok.interfaces;

/**
 *
 * @author aluno
 */
public abstract class ICore {
    protected ICore() {
    }
    
    public static ICore getInstance() {
        return m_core;
    }
    
    public abstract IPluginController getPluginController();
    public abstract IUIController getUIController();
    public abstract IGameController getGameController();
    
    protected static ICore m_core = null;
}
